Bug 216960 - CVE-2006-5823 zlib_inflate memory corruption
CVE-2006-5823 zlib_inflate memory corruption
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Eric Sandeen
Brian Brock
impact=low,source=internet,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 16:42 EST by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 13:57:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-11-22 16:42:04 EST
From MOKB-07-11-2006:

http://projects.info-pull.com/mokb/MOKB-07-11-2006.html

Linux 2.6.x zlib_inflate function can be abused by filesystems that depend on
zlib compression, such as cramfs. A failure to handle crafted data, result of a
read operation in a corrupted filesystem stream, may lead to memory corruption.
This particular vulnerability requires a filesystem (proof of concept for cramfs
provided) to fail validation (ex. no integrity checking) of the binary stream in
order to reach execution of zlib_inflate().
Comment 1 Eric Sandeen 2006-11-30 12:28:41 EST
As long as I've got the other ones...
Comment 3 RHEL Product and Program Management 2006-12-15 09:46:14 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jay Turner 2006-12-18 09:14:50 EST
QE ack for 3.9.
Comment 5 Ernie Petrides 2006-12-20 21:59:16 EST
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.4.EL).
Comment 8 Red Hat Bugzilla 2007-06-11 13:57:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0436.html

Note You need to log in before you can comment on or make changes to this bug.